PETSc version 3.15.5
Fix/Edit manual page

# PCShellSetApplySymmetricLeft

Sets routine to use as left preconditioner (when the PC_SYMMETRIC is used).

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetApplySymmetricLeft(PC pc,PetscErrorCode (*apply)(PC,Vec,Vec))

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| apply | - the application-provided left preconditioning routine

### Calling sequence of apply

       PetscErrorCode apply (PC pc,Vec xin,Vec xout)

| pc | - the preconditioner, get the application context with PCShellGetContext()
| xin | - input vector
| xout | - output vector

### Notes

the function MUST return an error code of 0 on success and nonzero on failure.

### See Also

PCShellSetApply(), PCShellSetApplySymmetricLeft(), PCShellSetSetUp(), PCShellSetApplyTranspose(), PCShellSetContext()

### Level

developer

### Location

src/ksp/pc/impls/shell/shellpc.c

### Implementations

PCShellSetApplySymmetricLeft_Shell(PC pc,PetscErrorCode (*apply) in src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages